/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.sample.logmessage;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * メッセージのサンプル。このクラスは単にサンプルです。実際の動作には利用されません。
 */
public class SampleLogMessage {
    /**
     * ログ・メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final SampleLogMessageResourceBundle fBundle = new SampleLogMessageResourceBundle();

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[FATAL]、キー[MESSAGE001]の文字列をロギングします。
     *
     * No.1:
     * 文字列[メッセージのサンプル。その１。]
     */
    public void logMessage001() {
        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, "fatal: " + fBundle.getMessage001());
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[FATAL]、キー[MESSAGE001]の文字列をロギングします。
     *
     * No.1:
     * 文字列[メッセージのサンプル。その１。]
     *
     * @param argThrown 例外。
     */
    public void logMessage001(final Throwable argThrown) {
        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, "fatal: " + fBundle.getMessage001(), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[ERROR]、キー[MESSAGE002]の文字列をロギングします。
     *
     * No.2:
     * 文字列[メッセージ置換文字[{0}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     */
    public void logMessage002(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, fBundle.getMessage002(arg0));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[ERROR]、キー[MESSAGE002]の文字列をロギングします。
     *
     * No.2:
     * 文字列[メッセージ置換文字[{0}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param argThrown 例外。
     */
    public void logMessage002(final String arg0, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, fBundle.getMessage002(arg0), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[WARN]、キー[MESSAGE003]の文字列をロギングします。
     *
     * No.3:
     * 文字列[メッセージ置換文字[{0}]に加え、もうひとつ[{1}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     */
    public void logMessage003(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage003]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.WARNING, fBundle.getMessage003(arg0, arg1));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[WARN]、キー[MESSAGE003]の文字列をロギングします。
     *
     * No.3:
     * 文字列[メッセージ置換文字[{0}]に加え、もうひとつ[{1}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param argThrown 例外。
     */
    public void logMessage003(final String arg0, final String arg1, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage003]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.WARNING, fBundle.getMessage003(arg0, arg1), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE004]の文字列をロギングします。
     *
     * No.4:
     * 文字列[連続したメッセージ置換文字{0}{1}の例です。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     */
    public void logMessage004(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage004]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage004]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage004(arg0, arg1));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE004]の文字列をロギングします。
     *
     * No.4:
     * 文字列[連続したメッセージ置換文字{0}{1}の例です。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param argThrown 例外。
     */
    public void logMessage004(final String arg0, final String arg1, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage004]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage004]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage004(arg0, arg1), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[CONF]、キー[MESSAGE005]の文字列をロギングします。
     *
     * No.5:
     * 文字列[{0}先頭から置換文字列がある例。]
     *
     * @param arg0 置換文字列{0}の値。
     */
    public void logMessage005(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage005]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.CONFIG, fBundle.getMessage005(arg0));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[CONF]、キー[MESSAGE005]の文字列をロギングします。
     *
     * No.5:
     * 文字列[{0}先頭から置換文字列がある例。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param argThrown 例外。
     */
    public void logMessage005(final String arg0, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage005]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.CONFIG, fBundle.getMessage005(arg0), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[DEBUG]、キー[MESSAGE006]の文字列をロギングします。
     *
     * No.6:
     * 文字列[最後が置換文字列の例。{0}]
     *
     * @param arg0 置換文字列{0}の値。
     */
    public void logMessage006(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage006]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.FINE, fBundle.getMessage006(arg0));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[DEBUG]、キー[MESSAGE006]の文字列をロギングします。
     *
     * No.6:
     * 文字列[最後が置換文字列の例。{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param argThrown 例外。
     */
    public void logMessage006(final String arg0, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage006]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.FINE, fBundle.getMessage006(arg0), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[TRACE]、キー[MESSAGE007]の文字列をロギングします。
     *
     * No.7:
     * 文字列[何度も現れる置換文字{0}{1}{0}{1}{2}{1}{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     */
    public void logMessage007(final String arg0, final String arg1, final String arg2) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage007]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage007]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[logMessage007]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.FINER, fBundle.getMessage007(arg0, arg1, arg2));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[TRACE]、キー[MESSAGE007]の文字列をロギングします。
     *
     * No.7:
     * 文字列[何度も現れる置換文字{0}{1}{0}{1}{2}{1}{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param argThrown 例外。
     */
    public void logMessage007(final String arg0, final String arg1, final String arg2, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage007]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage007]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[logMessage007]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.FINER, fBundle.getMessage007(arg0, arg1, arg2), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE008]の文字列をロギングします。
     *
     * No.8:
     * 文字列[たくさんの置換文字。{11}{10}{9}{8}{7}{6}{5}{4}{3}{2}{1}{0}と12個。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @param arg4 置換文字列{4}の値。
     * @param arg5 置換文字列{5}の値。
     * @param arg6 置換文字列{6}の値。
     * @param arg7 置換文字列{7}の値。
     * @param arg8 置換文字列{8}の値。
     * @param arg9 置換文字列{9}の値。
     * @param arg10 置換文字列{10}の値。
     * @param arg11 置換文字列{11}の値。
     */
    public void logMessage008(final String arg0, final String arg1, final String arg2, final String arg3, final String arg4, final String arg5, final String arg6, final String arg7, final String arg8, final String arg9, final String arg10, final String arg11) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg3 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg3]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg4 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg4]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg5 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg5]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg6 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg6]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg7 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg7]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg8 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg8]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg9 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg9]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg10 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg10]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg11 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg11]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage008(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE008]の文字列をロギングします。
     *
     * No.8:
     * 文字列[たくさんの置換文字。{11}{10}{9}{8}{7}{6}{5}{4}{3}{2}{1}{0}と12個。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @param arg4 置換文字列{4}の値。
     * @param arg5 置換文字列{5}の値。
     * @param arg6 置換文字列{6}の値。
     * @param arg7 置換文字列{7}の値。
     * @param arg8 置換文字列{8}の値。
     * @param arg9 置換文字列{9}の値。
     * @param arg10 置換文字列{10}の値。
     * @param arg11 置換文字列{11}の値。
     * @param argThrown 例外。
     */
    public void logMessage008(final String arg0, final String arg1, final String arg2, final String arg3, final String arg4, final String arg5, final String arg6, final String arg7, final String arg8, final String arg9, final String arg10, final String arg11, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg3 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg3]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg4 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg4]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg5 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg5]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg6 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg6]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg7 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg7]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg8 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg8]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg9 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg9]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg10 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg10]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg11 == null) {
            throw new IllegalArgumentException("メソッド[logMessage008]のパラメータ[arg11]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage008(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE009]の文字列をロギングします。
     *
     * No.9:
     * 文字列[{0}番号が飛ぶと置換文字列は不正として判断されます。{1}。この定義書は0オリジンです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     */
    public void logMessage009(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage009]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage009]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage009(arg0, arg1));
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE009]の文字列をロギングします。
     *
     * No.9:
     * 文字列[{0}番号が飛ぶと置換文字列は不正として判断されます。{1}。この定義書は0オリジンです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param argThrown 例外。
     */
    public void logMessage009(final String arg0, final String arg1, final Throwable argThrown) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[logMessage009]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[logMessage009]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage009(arg0, arg1), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE010]の文字列をロギングします。
     *
     * No.10:
     * 文字列[エスケープ処理の確認。ダブルクオーテーション&quot;、シングルクオーテーション'、エンマーク\。]
     */
    public void logMessage010() {
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage010());
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE010]の文字列をロギングします。
     *
     * No.10:
     * 文字列[エスケープ処理の確認。ダブルクオーテーション&quot;、シングルクオーテーション'、エンマーク\。]
     *
     * @param argThrown 例外。
     */
    public void logMessage010(final Throwable argThrown) {
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage010(), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE011]の文字列をロギングします。
     *
     * No.11:
     * 文字列[×]
     */
    public void logMessage011() {
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage011());
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE011]の文字列をロギングします。
     *
     * No.11:
     * 文字列[×]
     *
     * @param argThrown 例外。
     */
    public void logMessage011(final Throwable argThrown) {
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage011(), argThrown);
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE012]の文字列をロギングします。
     *
     * No.12:
     * 文字列[改行[\n]の試験。]
     */
    public void logMessage012() {
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage012());
    }

    /**
     * ログ・メッセージ定義ID[Sample]、レベル[INFO]、キー[MESSAGE012]の文字列をロギングします。
     *
     * No.12:
     * 文字列[改行[\n]の試験。]
     *
     * @param argThrown 例外。
     */
    public void logMessage012(final Throwable argThrown) {
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage012(), argThrown);
    }
}
